Bug 123626 - FILEOPEN | DOCX, Hyperlink missing from Shape in LO
Summary: FILEOPEN | DOCX, Hyperlink missing from Shape in LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on: 112543
Blocks: OOXML-Shapes DOCX-Hyperlink
  Show dependency treegraph
 
Reported: 2019-02-21 14:39 UTC by NISZ LibreOffice Team
Modified: 2021-07-30 17:45 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (17.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-21 14:40 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-21 14:39:58 UTC
Description:
Hyperlink on Shape created in MSO goes missing when opening the docx in LO.

Steps to Reproduce:
    1. Create a docx in MSO.
    2. Insert→ Shape.
    3. Select the Shape→ Insert→ Hyperlink→ Adress: https://libreoffice.org.
    4. Save and exit the file.
    5. Open the file in LO.
    6. Try Ctrl-clicking the Shape then view Navigator.

Actual Results:
Ctrl-clicking just selects the Shape and the Hyperlink is missing in the Navigator

Expected Results:
Ctrl-clicking activates the Hyperlink and it doesn’t go missing in the Navigator


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2019-02-21 14:40:45 UTC
Created attachment 149480 [details]
Example file from Word
Comment 2 Dieter 2019-02-21 20:49:15 UTC
I confirm it with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: f42554a1886ebe49170c25096dc3281b2c7bb1f4
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-02-08_22:37:30
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded
Comment 3 Adam Kovacs 2019-03-19 10:02:14 UTC
To reproduce, we need to add text box before 3, right?

(In reply to NISZ LibreOffice Team from comment #0)

> Steps to Reproduce:
>     1. Create a docx in MSO.
>     2. Insert→ Shape.
>     3. Select the Shape→ Insert→ Hyperlink→ Adress: https://libreoffice.org.
>     4. Save and exit the file.
>     5. Open the file in LO.
>     6. Try Ctrl-clicking the Shape then view Navigator.
>
Comment 4 Adam Kovacs 2019-03-19 10:35:26 UTC
I tried with 6.1.0.3. but it is not working in odt files as well.
Comment 5 Adam Kovacs 2019-03-19 13:35:56 UTC
Some conclusions:

We cannot insert hyperlink on a shape in LO (unless we add a textbox to it, but that's a different story).
If we add a textbox to the shape, that hyperlink also won't work, even in odt files.
Comment 6 haevalencia 2019-03-20 23:56:17 UTC
I was able to replicate this problem. Inserting a hyperlink is a common feature in alternative software to LibreOffice (curiously it is supported in Impress but not in Writer or Calc).

I did the test by creating a document with MS Office 2016, WPS Office and FreeOffice. In all cases when opening the document with LibreOffice Writer the shape used doesn't show any hyperlink (in case of making changes to the document and saving it with LibreOffice, the hyperlink is not preserved).

From my point of view, I would separate this problem into 3 issues.

a- add the ability to insert hyperlinks in shapes (maybe in other types of objects) in LibreOffice Writer (and Calc)
b- see hyperlinks created by third-party apps in OOXML format
c- preserve hyperlinks created by third-party apps in OOXML format and modified with LibreOffice

Points b and c may be so related that it corresponds to a single issue (I don't know the technical details)

Related: https://bugs.documentfoundation.org/show_bug.cgi?id=124232
Comment 7 László Németh 2019-05-21 07:49:05 UTC
It seems, at least the OpenDocument standard supports it:

10.4.12 <draw:a>
The <draw:a> element enables both frames and drawing shapes to act as hyperlinks.
The <draw:a> element contains a drawing shape that should behave as a hyperlink.
Comment 8 Dieter 2021-06-09 14:51:26 UTC
Still present in

Version: 7.1.4.2 (x64) / LibreOffice Community
Build ID: a529a4fab45b75fefc5b6226684193eb000654f6
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 9 Commit Notification 2021-07-26 12:14:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a23b44fd9f0119f7ea3523e32875f55c1a07c1cd

tdf#123626 Allow adding hyperlinks to shapes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-07-27 13:44:02 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9a04703b22f9ffb11256d715f65e79a6a2417e18

tdf#123626 Allow opening shape hyperlink with Ctrl-Click

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-07-27 14:19:54 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3c6b0322e2dc897bdd986afe0fe876a5d429528a

tdf#123626 Add "Open hyperlink" context menu to hyperlinked shapes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 BogdanB 2021-07-30 17:45:25 UTC
In the latest version on 7.3 we can:
- add hypelink to shapes
- acces the link with Ctrl+Click OR right click and Open Hyperlink

Verified with
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 5aa74aa1e6fac571f99146ebcb6adc9feb1459ad
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-28_19:35:14
Calc: threaded